Bug 2000636 - Edit Deployment form drops strategy data when switching type
Summary: Edit Deployment form drops strategy data when switching type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Debsmita Santra
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-02 14:53 UTC by Debsmita Santra
Modified: 2021-10-18 17:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:51:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9766 0 None None None 2021-09-02 14:53:20 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:19 UTC

Description Debsmita Santra 2021-09-02 14:53:20 UTC
Description of problem:

When the user edit a deployment (via "Edit Deployment" or "Edit DeploymentConfig", not "Edit <application-name>") and changes the strategy type to the current value the sub-form data are removed.

If the user switches to another type and then back to the previously selected type, the form data are replaced with the default (always none?) configuration as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Switch to developer perspective, add page, import from git
2. Enter a git URL and create the Deployment
3. Right click the Deployment in topology and select "Edit Deployment"
4. Change "Strategy type" via the dropdown

Actual results:

1. When switching "Strategy type" to the current value the sub form is cleared. (Rolling Update has some sub configurations.)
2. When switching "Strategy type" to another value and then back also cleared the current values. (Switching from Rolling Update to Recreate and back for example.)


Expected results:

1. When switching "Strategy type" to the current value the sub form should keep its data.
2. When switching "Strategy type" to another value and then back the latest values should be restored again (latest input from the user, not the initial values).

Additional info:

Comment 3 Vikram Raj 2021-09-08 15:14:12 UTC
Verified it on 4.9.0-0.nightly-2021-09-07-201519. And it works as expected. Now switching between thee strategy type persist the data.

Comment 6 errata-xmlrpc 2021-10-18 17:51:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.